# $Revision: 1.26 $, $Date: 2007-11-26 15:09:03 $
Summary:	Keyring manager for GNOME
Summary(pl.UTF-8):	Zarządzanie kluczami dla GNOME
Name:		gnome-keyring-manager
Version:	2.20.0
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring-manager/2.20/%{name}-%{version}.tar.bz2
# Source0-md5:	61d701888f00c02490c0cd551bf3fcb1
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.20.0
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.11.2
BuildRequires:	gnome-keyring-devel >= 2.19.91
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool >= 0.36.1
BuildRequires:	libtool
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.20.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	scrollkeeper
Requires:	gnome-keyring-libs >= 2.20.0
Requires:	gtk+2 >= 2:2.12.0
Requires:	libgnomeui >= 2.12.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Keyring Manager is an application that manages user keyrings.

%description -l pl.UTF-8
GNOME Keyring Manager jest aplikacją służącą do zarządzania kluczami
użytkownika.

%prep
%setup -q
%patch0 -p1

%build
%{__gnome_doc_prepare}
%{__glib_gettextize}
%{__intltoolize}
%{__intltoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%{__gnome_doc_common}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name}  --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-keyring-manager.schemas
%scrollkeeper_update_post

%preun
%gconf_schema_uninstall gnome-keyring-manager.schemas

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_mandir}/man1/*
%dir %{_omf_dest_dir}/%{name}
%{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-C.omf
%lang(ca) %{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-ca.omf
%lang(da) %{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-da.omf
%lang(en_GB) %{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-en_GB.omf
%lang(es) %{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-es.omf
%lang(fr) %{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-fr.omf
%lang(oc) %{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-oc.omf
%lang(sv) %{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-sv.omf
%lang(uk) %{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-uk.omf
%lang(vi) %{_omf_dest_dir}/gnome-keyring-manager/gnome-keyring-manager-vi.omf
%{_sysconfdir}/gconf/schemas/gnome-keyring-manager.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-keyring-manager.spec,v $
Revision 1.26  2007-11-26 15:09:03  sls
- BR: gnome-common (for __gnome_doc_common)

Revision 1.25  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.24  2007/09/20 13:36:07  patrys
- 2.20.0

Revision 1.23.2.2  2007/09/11 15:34:56  megabajt
- updated deps
- use lang() for omf files

Revision 1.23.2.1  2007/09/11 12:53:38  patrys
- 2.19.92

Revision 1.23  2007/03/13 13:08:19  megabajt
- updated to 2.18.0

Revision 1.22  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.20  2007/01/22 00:15:15  qboosh
- fixed lie in previous changelog entry; shouldn't it be on DEVEL branch?

Revision 1.19  2007/01/14 10:41:16  czarny
- up to 2.17.0
- todo added

Revision 1.18  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.17  2006/09/09 11:34:22  grzegol
- 2.16.0

Revision 1.16  2006/08/22 19:10:42  freetz
- 2.15.92, updated deps

Revision 1.15  2006/08/18 15:29:49  freetz
- rel.4, updated deps, use rpm macro

Revision 1.14  2006/08/06 22:35:49  aflinta
- release 3 for rebuild wit openssl

Revision 1.13  2006/05/26 23:55:31  qboosh
- merged deps update from AC-branch

Revision 1.11.2.2  2006/05/18 21:50:44  baggins
- release 2
- strict reqs

Revision 1.11.2.1  2006/05/15 16:19:46  baggins
- merged from HEAD

Revision 1.12  2006/03/12 22:25:57  freetz
- 2.14.0

Revision 1.11  2005/09/07 17:39:10  freetz
- BR ac/am, full configure rebuild, rel.2

Revision 1.10  2005/09/07 10:43:23  paladine
- updated to 2.12.0

Revision 1.9  2005/08/25 10:06:45  paladine
- fixed %%files
- added missing BR/R: scrollkeeper
- run %%scrollkeeper_update_post{,un}
- rel. 2

Revision 1.8  2005/08/25 08:26:02  paladine
- updated to 2.11.92
- gnome-doc-utils for omf files
- sorted %%files

Revision 1.7  2005/04/25 09:47:57  paladine
- new style macros
- rel. 2

Revision 1.6  2005/02/02 17:21:50  grzegol
- updated to 0.0.4
- added BR: intltool >= 0.23
- remove no locale in %install

Revision 1.5  2004/12/25 17:40:50  qboosh
- unified

Revision 1.4  2004/11/17 12:38:19  paladine
- added desktop patch
- rel 2

Revision 1.3  2004/07/21 12:07:07  grzegol
- updated to 0.0.3

Revision 1.2  2004/07/12 17:35:34  qboosh
- formatting

Revision 1.1  2004/07/12 14:34:08  grzegol
- new
